<!-- HTML header for doxygen 1.8.9.1-->
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.11"/>
<title>OpenThread: Configuration</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<script type="text/javascript">
  $(document).ready(initResizable);
  $(window).load(resizeHeight);
</script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { init_search(); });
</script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="../../Open-Thread-Logo-200x42.png"/></td>
  <td style="padding-left: 0.5em;">
   <div id="projectname">
   &#160;<span id="projectnumber">gddd0704</span>
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.11 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "../../search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="../../index.html"><span>Main&#160;Page</span></a></li>
      <li class="current"><a href="../../modules.html"><span>Modules</span></a></li>
      <li><a href="../../namespaces.html"><span>Namespaces</span></a></li>
      <li><a href="../../annotated.html"><span>Classes</span></a></li>
      <li><a href="../../files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="../../search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="../../search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
$(document).ready(function(){initNavTree('d1/d69/group__radio-config.html','../../');});
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="summary">
<a href="#func-members">Functions</a>  </div>
  <div class="headertitle">
<div class="title">Configuration<div class="ingroups"><a class="el" href="../../de/d8b/group__platform.html">Platform Abstraction</a> &raquo; <a class="el" href="../../d0/d5b/group__radio.html">Radio</a></div></div>  </div>
</div><!--header-->
<div class="contents">

<p>This module includes the platform abstraction for radio configuration.  
<a href="#details">More...</a></p>
<div class="dynheader">
Collaboration diagram for Configuration:</div>
<div class="dyncontent">
<center><table><tr><td><img src="../../d1/d69/group__radio-config.png" border="0" alt="" usemap="#d1_2d69_2group____radio-config"/>
<map name="d1_2d69_2group____radio-config" id="d1_2d69_2group____radio-config">
<area shape="rect" id="node1" href="../../d0/d5b/group__radio.html" title="This module includes the platform abstraction for radio communication. " alt="" coords="5,5,62,31"/>
</map>
</td></tr></table></center>
</div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="func-members"></a>
Functions</h2></td></tr>
<tr class="memitem:ga6940d730c862fae890f3a2912000002d"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d1/d69/group__radio-config.html#ga6940d730c862fae890f3a2912000002d">otPlatRadioGetIeeeEui64</a> (<a class="el" href="../../d2/d83/structotInstance.html">otInstance</a> *aInstance, uint8_t *aIeeeEui64)</td></tr>
<tr class="memdesc:ga6940d730c862fae890f3a2912000002d"><td class="mdescLeft">&#160;</td><td class="mdescRight">Get the factory-assigned IEEE EUI-64 for this interface.  <a href="#ga6940d730c862fae890f3a2912000002d">More...</a><br /></td></tr>
<tr class="separator:ga6940d730c862fae890f3a2912000002d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga8497b9950b7d61cf0ce336a755871b81"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d1/d69/group__radio-config.html#ga8497b9950b7d61cf0ce336a755871b81">otPlatRadioSetPanId</a> (<a class="el" href="../../d2/d83/structotInstance.html">otInstance</a> *aInstance, uint16_t aPanId)</td></tr>
<tr class="memdesc:ga8497b9950b7d61cf0ce336a755871b81"><td class="mdescLeft">&#160;</td><td class="mdescRight">Set the PAN ID for address filtering.  <a href="#ga8497b9950b7d61cf0ce336a755871b81">More...</a><br /></td></tr>
<tr class="separator:ga8497b9950b7d61cf0ce336a755871b81"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gae147bd61d63cc6364c05e3c7234146e6"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d1/d69/group__radio-config.html#gae147bd61d63cc6364c05e3c7234146e6">otPlatRadioSetExtendedAddress</a> (<a class="el" href="../../d2/d83/structotInstance.html">otInstance</a> *aInstance, uint8_t *aExtendedAddress)</td></tr>
<tr class="memdesc:gae147bd61d63cc6364c05e3c7234146e6"><td class="mdescLeft">&#160;</td><td class="mdescRight">Set the Extended Address for address filtering.  <a href="#gae147bd61d63cc6364c05e3c7234146e6">More...</a><br /></td></tr>
<tr class="separator:gae147bd61d63cc6364c05e3c7234146e6"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga1a58663d2bdcc4f3d89fda081a59cdb7"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d1/d69/group__radio-config.html#ga1a58663d2bdcc4f3d89fda081a59cdb7">otPlatRadioSetShortAddress</a> (<a class="el" href="../../d2/d83/structotInstance.html">otInstance</a> *aInstance, uint16_t aShortAddress)</td></tr>
<tr class="memdesc:ga1a58663d2bdcc4f3d89fda081a59cdb7"><td class="mdescLeft">&#160;</td><td class="mdescRight">Set the Short Address for address filtering.  <a href="#ga1a58663d2bdcc4f3d89fda081a59cdb7">More...</a><br /></td></tr>
<tr class="separator:ga1a58663d2bdcc4f3d89fda081a59cdb7"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<p>This module includes the platform abstraction for radio configuration. </p>
<h2 class="groupheader">Function Documentation</h2>
<a class="anchor" id="ga6940d730c862fae890f3a2912000002d"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void otPlatRadioGetIeeeEui64 </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d2/d83/structotInstance.html">otInstance</a> *&#160;</td>
          <td class="paramname"><em>aInstance</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">uint8_t *&#160;</td>
          <td class="paramname"><em>aIeeeEui64</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Get the factory-assigned IEEE EUI-64 for this interface. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">aInstance</td><td>The OpenThread instance structure. </td></tr>
    <tr><td class="paramdir">[out]</td><td class="paramname">aIeeeEui64</td><td>A pointer to where the factory-assigned IEEE EUI-64 will be placed. </td></tr>
  </table>
  </dd>
</dl>

<p><div class="dynheader">
Here is the caller graph for this function:</div>
<div class="dyncontent">
<div class="center"><img src="../../d1/d69/group__radio-config_ga6940d730c862fae890f3a2912000002d_icgraph.png" border="0" usemap="#d1/d69/group__radio-config_ga6940d730c862fae890f3a2912000002d_icgraph" alt=""/></div>
<map name="d1/d69/group__radio-config_ga6940d730c862fae890f3a2912000002d_icgraph" id="d1/d69/group__radio-config_ga6940d730c862fae890f3a2912000002d_icgraph">
<area shape="rect" id="node2" href="../../d6/d88/classThread_1_1Mac_1_1Mac.html#aae0b5815d71f1391216725ee8ba14e34" title="This method gets the Hash Mac Address. " alt="" coords="225,80,414,119"/>
<area shape="rect" id="node7" href="../../df/d4f/group__config-general.html#gabaa5e8f91f2d7f1b1410a4ef2040d637" title="Get the factory&#45;assigned IEEE EUI&#45;64. " alt="" coords="230,153,409,192"/>
<area shape="rect" id="node3" href="../../d4/db5/classThread_1_1MeshCoP_1_1Joiner.html#a1ca1f767cfe15e7c25b8f65606e7fefb" title="This method starts the Joiner service. " alt="" coords="462,5,635,44"/>
<area shape="rect" id="node4" href="../../d4/db5/classThread_1_1MeshCoP_1_1Joiner.html#a5109c8ea0e2c168c18f729d767e6b999" title="This method stops the Joiner service. " alt="" coords="462,68,635,107"/>
<area shape="rect" id="node5" href="../../df/d4f/group__config-general.html#gab5c459f62f9f6ca104fe953fa271a82a" title="Get the Hash Mac Address. " alt="" coords="469,131,628,156"/>
<area shape="rect" id="node6" href="../../d5/dc2/structThread_1_1Cli_1_1Interpreter.html#a11ee1f86cffe17aab7de3de0bb16dee7" title="This method parses an ASCII string as an unsigned long. " alt="" coords="683,149,839,188"/>
</map>
</div>
</p>

</div>
</div>
<a class="anchor" id="gae147bd61d63cc6364c05e3c7234146e6"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void otPlatRadioSetExtendedAddress </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d2/d83/structotInstance.html">otInstance</a> *&#160;</td>
          <td class="paramname"><em>aInstance</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">uint8_t *&#160;</td>
          <td class="paramname"><em>aExtendedAddress</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Set the Extended Address for address filtering. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">aInstance</td><td>The OpenThread instance structure. </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">aExtendedAddress</td><td>A pointer to the IEEE 802.15.4 Extended Address. </td></tr>
  </table>
  </dd>
</dl>

<p><div class="dynheader">
Here is the caller graph for this function:</div>
<div class="dyncontent">
<div class="center"><img src="../../d1/d69/group__radio-config_gae147bd61d63cc6364c05e3c7234146e6_icgraph.png" border="0" usemap="#d1/d69/group__radio-config_gae147bd61d63cc6364c05e3c7234146e6_icgraph" alt=""/></div>
<map name="d1/d69/group__radio-config_gae147bd61d63cc6364c05e3c7234146e6_icgraph" id="d1/d69/group__radio-config_gae147bd61d63cc6364c05e3c7234146e6_icgraph">
<area shape="rect" id="node2" href="../../d6/d88/classThread_1_1Mac_1_1Mac.html#a31574748a5ba6d5cd7d876f6c1241876" title="This method sets the IEEE 802.15.4 Extended Address. " alt="" coords="269,87,444,125"/>
<area shape="rect" id="node3" href="../../d6/d88/classThread_1_1Mac_1_1Mac.html#afe65837f6f2e5f566187fc410786ef86" title="This constructor initializes the MAC object. " alt="" coords="498,5,660,31"/>
<area shape="rect" id="node4" href="../../d4/db5/classThread_1_1MeshCoP_1_1Joiner.html#a1ca1f767cfe15e7c25b8f65606e7fefb" title="This method starts the Joiner service. " alt="" coords="492,55,666,93"/>
<area shape="rect" id="node5" href="../../d4/db5/classThread_1_1MeshCoP_1_1Joiner.html#a5109c8ea0e2c168c18f729d767e6b999" title="This method stops the Joiner service. " alt="" coords="492,117,666,156"/>
<area shape="rect" id="node6" href="../../df/d4f/group__config-general.html#gaf3245ebddd1200f21fdce21451b8eeda" title="This function sets the IEEE 802.15.4 Extended Address. " alt="" coords="500,180,658,205"/>
<area shape="rect" id="node7" href="../../d5/dc2/structThread_1_1Cli_1_1Interpreter.html#a11ee1f86cffe17aab7de3de0bb16dee7" title="This method parses an ASCII string as an unsigned long. " alt="" coords="714,173,869,212"/>
</map>
</div>
</p>

</div>
</div>
<a class="anchor" id="ga8497b9950b7d61cf0ce336a755871b81"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void otPlatRadioSetPanId </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d2/d83/structotInstance.html">otInstance</a> *&#160;</td>
          <td class="paramname"><em>aInstance</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">uint16_t&#160;</td>
          <td class="paramname"><em>aPanId</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Set the PAN ID for address filtering. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">aInstance</td><td>The OpenThread instance structure. </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">aPanId</td><td>The IEEE 802.15.4 PAN ID. </td></tr>
  </table>
  </dd>
</dl>

<p><div class="dynheader">
Here is the caller graph for this function:</div>
<div class="dyncontent">
<div class="center"><img src="../../d1/d69/group__radio-config_ga8497b9950b7d61cf0ce336a755871b81_icgraph.png" border="0" usemap="#d1/d69/group__radio-config_ga8497b9950b7d61cf0ce336a755871b81_icgraph" alt=""/></div>
<map name="d1/d69/group__radio-config_ga8497b9950b7d61cf0ce336a755871b81_icgraph" id="d1/d69/group__radio-config_ga8497b9950b7d61cf0ce336a755871b81_icgraph">
<area shape="rect" id="node2" href="../../d6/d88/classThread_1_1Mac_1_1Mac.html#a3904763f39d2e1db43e6ce060e8f0893" title="This method sets the IEEE 802.15.4 PAN ID. " alt="" coords="198,231,389,256"/>
<area shape="rect" id="node37" href="../../d6/d88/classThread_1_1Mac_1_1Mac.html#aacc5fd2b9ea373a699840afa8e562dc9" title="This method registers a new MAC sender client. " alt="" coords="437,559,643,597"/>
<area shape="rect" id="node40" href="../../d6/d88/classThread_1_1Mac_1_1Mac.html#adb6ca8a4287b21a2f9e35090ed716506" title="This method is called to handle transmit events. " alt="" coords="200,587,388,625"/>
<area shape="rect" id="node3" href="../../d6/d88/classThread_1_1Mac_1_1Mac.html#afe65837f6f2e5f566187fc410786ef86" title="This constructor initializes the MAC object. " alt="" coords="460,5,621,31"/>
<area shape="rect" id="node4" href="../../d4/db5/classThread_1_1MeshCoP_1_1Joiner.html#a5109c8ea0e2c168c18f729d767e6b999" title="This method stops the Joiner service. " alt="" coords="454,55,627,93"/>
<area shape="rect" id="node5" href="../../df/d4f/group__config-general.html#gabf1da836597c7c4d83070902f109ec36" title="Set the IEEE 802.15.4 PAN ID. " alt="" coords="1822,119,1909,144"/>
<area shape="rect" id="node9" href="../../df/d94/group__core-mle-core.html#gace8437c6340cefbd5db1a53f9e00422b" title="This method appends a Pending Timestamp TLV to a message. " alt="" coords="453,336,628,375"/>
<area shape="rect" id="node11" href="../../df/d94/group__core-mle-core.html#ga0ea27201cf13a4e1b0680a9da6c54a64" title="This method submits an MLE message to the UDP socket. " alt="" coords="927,375,1141,400"/>
<area shape="rect" id="node6" href="../../d5/dc2/structThread_1_1Cli_1_1Interpreter.html#a11ee1f86cffe17aab7de3de0bb16dee7" title="This method parses an ASCII string as an unsigned long. " alt="" coords="2745,273,2901,312"/>
<area shape="rect" id="node7" href="../../d9/dc8/classThread_1_1NcpBase.html#ad14f0f1d60c77f7f537a0a441a9fb35c" title="This method is called by the framer whenever a framing error is detected. " alt="" coords="2041,216,2233,255"/>
<area shape="rect" id="node8" href="../../dc/d60/classThread_1_1NcpUart.html#a34e4ca7aff5b9056593e8ce0aa6e2fbb" title="This method is called when uart received a data buffer. " alt="" coords="2281,216,2476,255"/>
<area shape="rect" id="node10" href="../../df/d94/group__core-mle-core.html#gac13477847483bba0aeab32fd93a7dbac" title="This method generates an MLE Data Request message. " alt="" coords="691,311,879,349"/>
<area shape="rect" id="node28" href="../../db/dec/group__core-mle-router.html#gac532b9ffa61813ee2c1463b6820c8c75" title="This method returns the number of active routers. " alt="" coords="1218,591,1380,629"/>
<area shape="rect" id="node24" href="../../db/dec/group__core-mle-router.html#ga12a2afd1fef5036981d7f1f05d3e6f01" title="This method sets the ROUTER_DOWNGRADE_THRESHOLD value. " alt="" coords="1191,197,1408,236"/>
<area shape="rect" id="node12" href="../../df/d94/group__core-mle-core.html#gab299d00d1b2beabe8130e400dd6eca91" title="This method initiates a Thread Discovery. " alt="" coords="2288,467,2469,492"/>
<area shape="rect" id="node15" href="../../df/d94/group__core-mle-core.html#ga09239c621861382d25163980ab5d983b" title="This method generates an MLE Child Update Request message. " alt="" coords="1204,260,1395,299"/>
<area shape="rect" id="node22" href="../../df/d94/group__core-mle-core.html#ga91214fcb8db3271fc3ad0472e38c1e0a" title="This method generates an MLE Announce message. " alt="" coords="1189,375,1409,400"/>
<area shape="rect" id="node26" href="../../db/dec/group__core-mle-router.html#ga7126c084ace25827febebc4210928cd4" title="This method generates an MLE Link Reject. " alt="" coords="1219,476,1380,515"/>
<area shape="rect" id="node13" href="../../d4/db5/classThread_1_1MeshCoP_1_1Joiner.html#a1ca1f767cfe15e7c25b8f65606e7fefb" title="This method starts the Joiner service. " alt="" coords="2524,432,2697,471"/>
<area shape="rect" id="node14" href="../../d0/d0a/group__commands.html#ga8422cdf7d0b8b22c6dd107e6bb1309f2" title="This function starts a Thread Discovery scan. " alt="" coords="2568,495,2653,520"/>
<area shape="rect" id="node16" href="../../df/d94/group__core-mle-core.html#ga01c7e5a022360a6f35e30d07221dbfea" title="This method starts the MLE protocol operation. " alt="" coords="1495,319,1652,344"/>
<area shape="rect" id="node18" href="../../df/d94/group__core-mle-core.html#gafb51db61e6e184d664a9e7cc3833dcf4" title="This method sets the MLE Timeout value. " alt="" coords="1475,220,1672,245"/>
<area shape="rect" id="node20" href="../../df/d94/group__core-mle-core.html#ga453d94c377c5825a4a5e8b66a728e591" title="This method sets the Device Mode as reported in the Mode TLV. " alt="" coords="1462,269,1685,295"/>
<area shape="rect" id="node17" href="../../d0/d0a/group__commands.html#ga62fbc1cdb7b036df73975ca5683f8573" title="This function starts Thread protocol operation. " alt="" coords="1814,319,1917,344"/>
<area shape="rect" id="node19" href="../../df/d4f/group__config-general.html#ga6b28b99c77378da98922a3d994b7641c" title="Set the Thread Child Timeout used when operating in the Child role. " alt="" coords="1800,220,1931,245"/>
<area shape="rect" id="node21" href="../../df/d4f/group__config-general.html#ga8263fa852e25758aad3636bce0069a0d" title="Set the MLE Link Mode configuration. " alt="" coords="1811,269,1921,295"/>
<area shape="rect" id="node23" href="../../da/d6e/classThread_1_1AnnounceBeginServer.html#a0ec55dcc678b320251be99112cfc037b" title="This method begins the MLE Announce transmission process. " alt="" coords="1471,368,1676,407"/>
<area shape="rect" id="node25" href="../../db/d57/group__config-test.html#ga907be1830046930bb04f606dc6dc3ec1" title="Set the ROUTER_DOWNGRADE_THRESHOLD parameter used in the Leader role. " alt="" coords="1756,169,1976,195"/>
<area shape="rect" id="node27" href="../../dd/d1d/classThread_1_1MeshForwarder.html#a5f726671448fb7cd72f8ee96db40731a" title="This method sets the scan parameters for MLE Discovery Request messages. " alt="" coords="2053,536,2222,575"/>
<area shape="rect" id="node29" href="../../db/dec/group__core-mle-router.html#gac7d2542017033898d0bc0f17a65d4656" title="This method checks if the destination is reachable. " alt="" coords="1493,659,1654,697"/>
<area shape="rect" id="node33" href="../../db/dec/group__core-mle-router.html#gadf4904db11b31b2931f2f5ed1b988f83" title="This method fills an RouteTlv. " alt="" coords="1493,596,1654,635"/>
<area shape="rect" id="node35" href="../../dd/dd1/classThread_1_1NetworkData_1_1Local.html#a6688957845dc3ee7fc08bbc50145d98e" title="This method sends a Server Data Notification message to the Leader. " alt="" coords="1457,533,1690,572"/>
<area shape="rect" id="node30" href="../../dd/d1d/classThread_1_1MeshForwarder.html#a361ef901f6b665b3c7feac206089a7df" title="This method submits a message to the mesh forwarder for forwarding. " alt="" coords="1784,684,1948,723"/>
<area shape="rect" id="node31" href="../../dd/d1d/classThread_1_1MeshForwarder.html#a3a55dcf590bf5941d216ff313b6ce0d0" title="This method gets the Data Poll period. " alt="" coords="2055,652,2220,691"/>
<area shape="rect" id="node32" href="../../d3/d8e/classThread_1_1ThreadNetif.html#a95f2ad1f6785b0de74e660e43ac86d33" title="This method submits a message to the network interface. " alt="" coords="2067,715,2208,753"/>
<area shape="rect" id="node34" href="../../d6/d17/classThread_1_1NetworkDiagnostic_1_1NetworkDiagnostic.html#aabefee38f58e0a8bcd39650ccc386e12" title="This method fills ChildTableTlv. " alt="" coords="1738,569,1993,608"/>
<area shape="rect" id="node36" href="../../db/da2/group__config-br.html#gaf9f7e49c190e8e11297d534e223d6274" title="Immediately register the local network data with the Leader. " alt="" coords="1800,381,1931,407"/>
<area shape="rect" id="node38" href="../../dd/d1d/classThread_1_1MeshForwarder.html#a7668817d03306dadcb36ff9eaad72299" title="This method is called by the address resolver when an EID&#45;to&#45;RLOC mapping has been resolved..." alt="" coords="703,681,868,720"/>
<area shape="rect" id="node39" href="../../d4/dcf/classThread_1_1AddressResolver.html#ac249179518a77ecfdaf7d4502ef2f940" title="This method returns the RLOC16 for a given EID, or initiates an Address Query if the mapping is not k..." alt="" coords="948,700,1121,739"/>
<area shape="rect" id="node41" href="../../d7/d9c/group__radio-operation.html#ga7d10a9bce7521f75bd84b32b979e1aa7" title="The radio driver calls this method to notify OpenThread that the transmission has completed..." alt="" coords="454,621,627,647"/>
</map>
</div>
</p>

</div>
</div>
<a class="anchor" id="ga1a58663d2bdcc4f3d89fda081a59cdb7"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void otPlatRadioSetShortAddress </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d2/d83/structotInstance.html">otInstance</a> *&#160;</td>
          <td class="paramname"><em>aInstance</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">uint16_t&#160;</td>
          <td class="paramname"><em>aShortAddress</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Set the Short Address for address filtering. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">aInstance</td><td>The OpenThread instance structure. </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">aShortAddress</td><td>The IEEE 802.15.4 Short Address. </td></tr>
  </table>
  </dd>
</dl>

<p><div class="dynheader">
Here is the caller graph for this function:</div>
<div class="dyncontent">
<div class="center"><img src="../../d1/d69/group__radio-config_ga1a58663d2bdcc4f3d89fda081a59cdb7_icgraph.png" border="0" usemap="#d1/d69/group__radio-config_ga1a58663d2bdcc4f3d89fda081a59cdb7_icgraph" alt=""/></div>
<map name="d1/d69/group__radio-config_ga1a58663d2bdcc4f3d89fda081a59cdb7_icgraph" id="d1/d69/group__radio-config_ga1a58663d2bdcc4f3d89fda081a59cdb7_icgraph">
<area shape="rect" id="node2" href="../../d6/d88/classThread_1_1Mac_1_1Mac.html#ad80edbfa825466831f487f7c57d247c2" title="This method sets the IEEE 802.15.4 Short Address. " alt="" coords="244,603,432,641"/>
<area shape="rect" id="node3" href="../../d6/d88/classThread_1_1Mac_1_1Mac.html#afe65837f6f2e5f566187fc410786ef86" title="This constructor initializes the MAC object. " alt="" coords="495,584,656,609"/>
<area shape="rect" id="node4" href="../../df/d94/group__core-mle-core.html#ga228b07b6cd812413027a0c94d5b4e6f1" title="This method sets the RLOC16 assigned to the Thread interface. " alt="" coords="480,633,671,659"/>
<area shape="rect" id="node5" href="../../df/d94/group__core-mle-core.html#ga965b4a6e302d906d47e6a72b0e2a1e41" title="This method causes the Thread interface to detach from the Thread network. " alt="" coords="719,292,896,331"/>
<area shape="rect" id="node41" href="../../df/d94/group__core-mle-core.html#ga3aa8531c34bed98206a8ce98e8a13a6e" title="This method sets the Device State to Child. " alt="" coords="1171,724,1351,763"/>
<area shape="rect" id="node42" href="../../db/dec/group__core-mle-router.html#ga3f865671b35cf4f88b555fb1873ca79a" title="This method causes the Thread interface to become a Leader and start a new partition. " alt="" coords="727,627,888,665"/>
<area shape="rect" id="node6" href="../../db/d57/group__config-test.html#ga882ac9112fff520d8ace0315be22a79c" title="Detach from the Thread network. " alt="" coords="1441,29,1579,55"/>
<area shape="rect" id="node8" href="../../dd/d1d/classThread_1_1MeshForwarder.html#a3a55dcf590bf5941d216ff313b6ce0d0" title="This method gets the Data Poll period. " alt="" coords="2531,80,2695,119"/>
<area shape="rect" id="node9" href="../../df/d94/group__core-mle-core.html#ga453d94c377c5825a4a5e8b66a728e591" title="This method sets the Device Mode as reported in the Mode TLV. " alt="" coords="1938,737,2161,763"/>
<area shape="rect" id="node13" href="../../df/d94/group__core-mle-core.html#gace8437c6340cefbd5db1a53f9e00422b" title="This method appends a Pending Timestamp TLV to a message. " alt="" coords="944,529,1119,568"/>
<area shape="rect" id="node15" href="../../df/d94/group__core-mle-core.html#ga0ea27201cf13a4e1b0680a9da6c54a64" title="This method submits an MLE message to the UDP socket. " alt="" coords="1403,525,1617,551"/>
<area shape="rect" id="node28" href="../../db/dec/group__core-mle-router.html#ga7126c084ace25827febebc4210928cd4" title="This method generates an MLE Link Reject. " alt="" coords="1695,205,1856,244"/>
<area shape="rect" id="node30" href="../../db/dec/group__core-mle-router.html#gac532b9ffa61813ee2c1463b6820c8c75" title="This method returns the number of active routers. " alt="" coords="1694,344,1856,383"/>
<area shape="rect" id="node38" href="../../db/dec/group__core-mle-router.html#ga2f6818707e05950f56e8cb84a21c14c2" title="This method sets whether or not the Router Role is enabled. " alt="" coords="949,263,1114,301"/>
<area shape="rect" id="node40" href="../../db/dec/group__core-mle-router.html#gacc03d6eee4a8cc0fa65e15d1e65ca909" title="This method removes a link to a neighbor. " alt="" coords="951,148,1113,187"/>
<area shape="rect" id="node7" href="../../d5/dc2/structThread_1_1Cli_1_1Interpreter.html#a11ee1f86cffe17aab7de3de0bb16dee7" title="This method parses an ASCII string as an unsigned long. " alt="" coords="3221,535,3377,573"/>
<area shape="rect" id="node10" href="../../df/d4f/group__config-general.html#ga8263fa852e25758aad3636bce0069a0d" title="Set the MLE Link Mode configuration. " alt="" coords="2286,737,2397,763"/>
<area shape="rect" id="node11" href="../../d9/dc8/classThread_1_1NcpBase.html#ad14f0f1d60c77f7f537a0a441a9fb35c" title="This method is called by the framer whenever a framing error is detected. " alt="" coords="2517,643,2709,681"/>
<area shape="rect" id="node12" href="../../dc/d60/classThread_1_1NcpUart.html#a34e4ca7aff5b9056593e8ce0aa6e2fbb" title="This method is called when uart received a data buffer. " alt="" coords="2757,643,2952,681"/>
<area shape="rect" id="node14" href="../../df/d94/group__core-mle-core.html#gac13477847483bba0aeab32fd93a7dbac" title="This method generates an MLE Data Request message. " alt="" coords="1167,580,1355,619"/>
<area shape="rect" id="node26" href="../../db/dec/group__core-mle-router.html#ga12a2afd1fef5036981d7f1f05d3e6f01" title="This method sets the ROUTER_DOWNGRADE_THRESHOLD value. " alt="" coords="1667,611,1883,649"/>
<area shape="rect" id="node16" href="../../df/d94/group__core-mle-core.html#gab299d00d1b2beabe8130e400dd6eca91" title="This method initiates a Thread Discovery. " alt="" coords="2764,412,2945,437"/>
<area shape="rect" id="node19" href="../../df/d94/group__core-mle-core.html#ga09239c621861382d25163980ab5d983b" title="This method generates an MLE Child Update Request message. " alt="" coords="1680,673,1870,712"/>
<area shape="rect" id="node24" href="../../df/d94/group__core-mle-core.html#ga91214fcb8db3271fc3ad0472e38c1e0a" title="This method generates an MLE Announce message. " alt="" coords="1665,509,1885,535"/>
<area shape="rect" id="node17" href="../../d4/db5/classThread_1_1MeshCoP_1_1Joiner.html#a1ca1f767cfe15e7c25b8f65606e7fefb" title="This method starts the Joiner service. " alt="" coords="3000,377,3173,416"/>
<area shape="rect" id="node18" href="../../d0/d0a/group__commands.html#ga8422cdf7d0b8b22c6dd107e6bb1309f2" title="This function starts a Thread Discovery scan. " alt="" coords="3044,440,3129,465"/>
<area shape="rect" id="node20" href="../../df/d94/group__core-mle-core.html#ga01c7e5a022360a6f35e30d07221dbfea" title="This method starts the MLE protocol operation. " alt="" coords="1971,572,2128,597"/>
<area shape="rect" id="node22" href="../../df/d94/group__core-mle-core.html#gafb51db61e6e184d664a9e7cc3833dcf4" title="This method sets the MLE Timeout value. " alt="" coords="1951,680,2148,705"/>
<area shape="rect" id="node21" href="../../d0/d0a/group__commands.html#ga62fbc1cdb7b036df73975ca5683f8573" title="This function starts Thread protocol operation. " alt="" coords="2290,572,2393,597"/>
<area shape="rect" id="node23" href="../../df/d4f/group__config-general.html#ga6b28b99c77378da98922a3d994b7641c" title="Set the Thread Child Timeout used when operating in the Child role. " alt="" coords="2276,680,2407,705"/>
<area shape="rect" id="node25" href="../../da/d6e/classThread_1_1AnnounceBeginServer.html#a0ec55dcc678b320251be99112cfc037b" title="This method begins the MLE Announce transmission process. " alt="" coords="1947,509,2152,548"/>
<area shape="rect" id="node27" href="../../db/d57/group__config-test.html#ga907be1830046930bb04f606dc6dc3ec1" title="Set the ROUTER_DOWNGRADE_THRESHOLD parameter used in the Leader role. " alt="" coords="2232,623,2452,648"/>
<area shape="rect" id="node29" href="../../dd/d1d/classThread_1_1MeshForwarder.html#a5f726671448fb7cd72f8ee96db40731a" title="This method sets the scan parameters for MLE Discovery Request messages. " alt="" coords="2528,221,2698,260"/>
<area shape="rect" id="node31" href="../../db/dec/group__core-mle-router.html#gac7d2542017033898d0bc0f17a65d4656" title="This method checks if the destination is reachable. " alt="" coords="1969,217,2130,256"/>
<area shape="rect" id="node34" href="../../db/dec/group__core-mle-router.html#gadf4904db11b31b2931f2f5ed1b988f83" title="This method fills an RouteTlv. " alt="" coords="1969,332,2130,371"/>
<area shape="rect" id="node36" href="../../dd/dd1/classThread_1_1NetworkData_1_1Local.html#a6688957845dc3ee7fc08bbc50145d98e" title="This method sends a Server Data Notification message to the Leader. " alt="" coords="1933,395,2166,433"/>
<area shape="rect" id="node32" href="../../dd/d1d/classThread_1_1MeshForwarder.html#a361ef901f6b665b3c7feac206089a7df" title="This method submits a message to the mesh forwarder for forwarding. " alt="" coords="2259,131,2424,169"/>
<area shape="rect" id="node33" href="../../d3/d8e/classThread_1_1ThreadNetif.html#a95f2ad1f6785b0de74e660e43ac86d33" title="This method submits a message to the network interface. " alt="" coords="2543,143,2684,181"/>
<area shape="rect" id="node35" href="../../d6/d17/classThread_1_1NetworkDiagnostic_1_1NetworkDiagnostic.html#aabefee38f58e0a8bcd39650ccc386e12" title="This method fills ChildTableTlv. " alt="" coords="2214,360,2469,399"/>
<area shape="rect" id="node37" href="../../db/da2/group__config-br.html#gaf9f7e49c190e8e11297d534e223d6274" title="Immediately register the local network data with the Leader. " alt="" coords="2276,491,2407,516"/>
<area shape="rect" id="node39" href="../../df/d4f/group__config-general.html#gacea2a7cd04c4b816588748fee68d1e78" title="This function sets whether or not the Router Role is enabled. " alt="" coords="2257,311,2426,336"/>
<area shape="rect" id="node43" href="../../db/d57/group__config-test.html#ga026f58bcf552f7d8cd5da53e38bff94d" title="Become a leader and start a new partition. " alt="" coords="2280,808,2403,833"/>
</map>
</div>
</p>

</div>
</div>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="footer">Generated on Fri Oct 14 2016 08:44:35 for OpenThread by
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="../../doxygen.png" alt="doxygen"/></a> 1.8.11 </li>
  </ul>
</div>
</body>
</html>
